package com.ruoyi.project.patrol.fire.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.project.patrol.fire.mapper.TFireWaterCannonMapper;
import com.ruoyi.project.patrol.fire.domain.TFireWaterCannon;
import com.ruoyi.project.patrol.fire.service.ITFireWaterCannonService;

/**
 * 消防水炮检查记录Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-26
 */
@Service
public class TFireWaterCannonServiceImpl implements ITFireWaterCannonService 
{
    @Autowired
    private TFireWaterCannonMapper tFireWaterCannonMapper;

    /**
     * 查询消防水炮检查记录
     * 
     * @param id 消防水炮检查记录主键
     * @return 消防水炮检查记录
     */
    @Override
    public TFireWaterCannon selectTFireWaterCannonById(Long id)
    {
        return tFireWaterCannonMapper.selectTFireWaterCannonById(id);
    }

    /**
     * 查询消防水炮检查记录列表
     * 
     * @param tFireWaterCannon 消防水炮检查记录
     * @return 消防水炮检查记录
     */
    @Override
    public List<TFireWaterCannon> selectTFireWaterCannonList(TFireWaterCannon tFireWaterCannon)
    {
        return tFireWaterCannonMapper.selectTFireWaterCannonList(tFireWaterCannon);
    }

    /**
     * 新增消防水炮检查记录
     * 
     * @param tFireWaterCannon 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int insertTFireWaterCannon(TFireWaterCannon tFireWaterCannon)
    {
        return tFireWaterCannonMapper.insertTFireWaterCannon(tFireWaterCannon);
    }

    /**
     * 修改消防水炮检查记录
     * 
     * @param tFireWaterCannon 消防水炮检查记录
     * @return 结果
     */
    @Override
    public int updateTFireWaterCannon(TFireWaterCannon tFireWaterCannon)
    {
        return tFireWaterCannonMapper.updateTFireWaterCannon(tFireWaterCannon);
    }

    /**
     * 批量删除消防水炮检查记录
     * 
     * @param ids 需要删除的消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireWaterCannonByIds(Long[] ids)
    {
        return tFireWaterCannonMapper.deleteTFireWaterCannonByIds(ids);
    }

    /**
     * 删除消防水炮检查记录信息
     * 
     * @param id 消防水炮检查记录主键
     * @return 结果
     */
    @Override
    public int deleteTFireWaterCannonById(Long id)
    {
        return tFireWaterCannonMapper.deleteTFireWaterCannonById(id);
    }
}
